Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class AbstractInteraction

    java.lang.Object
      com.bea.adapter.cci.AbstractInteraction

All Implemented Interfaces:
  javax.resource.cci.Interaction

Direct Known Subclasses:
  AbstractDocumentRecordInteraction

public abstract class AbstractInteraction
extends Object
implements javax.resource.cci.Interaction

Provides a base implementation for adapter providers to extend. An `Interaction` enables a component to execute EIS functions.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected javax.resource.cci.ResourceWarning` | `m_warning`

Constructor Summary
`AbstractInteraction(AbstractConnection connectionHandle)` Constructs an instance

Method Summary
`void` | `clearWarnings()` Clears any warnings associated with the last usage of this interaction
`javax.resource.cci.Connection` | `getConnection()`
`LogContext` | `getLogContext()` Retrieves an object that determines the logging configuration for this instance in the logging framework.
`ILogger` | `getLogger()` Retrieves an object used to log information to.
`javax.resource.cci.RecordFactory` | `getRecordFactory()`
`javax.resource.cci.ResourceWarning` | `getWarnings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.cci.Interaction
`close, execute, execute`

Field Detail

### m_warning

    protected javax.resource.cci.ResourceWarning m_warning

Constructor Detail

### AbstractInteraction

    public AbstractInteraction(AbstractConnection connectionHandle)
                        throws javax.resource.ResourceException

  Constructs an instance

Parameters:
  `connectionHandle` - - the connection to execute an EIS function against must not be null.
Throws:
  `javax.resource.ResourceException` - - the supplied handle or the log context object is null

Method Detail

### clearWarnings

    public void clearWarnings()
                       throws javax.resource.ResourceException

  Clears any warnings associated with the last usage of this interaction

  Specified by:
    `clearWarnings` in interface `javax.resource.cci.Interaction`
  Throws:
    `javax.resource.ResourceException`

### getConnection

    public javax.resource.cci.Connection getConnection()

  Specified by:
    `getConnection` in interface `javax.resource.cci.Interaction`
  Returns:
    the connection this interaction uses to execute EIS functions against

### getLogContext

    public LogContext getLogContext()

  Retrieves an object that determines the logging configuration for this instance in the logging framework.

  Returns:
    an object that determines the logging configuration for this instance.

### getLogger

    public ILogger getLogger()

  Retrieves an object used to log information to.

  Returns:
    an object used to log information to.

### getRecordFactory

    public javax.resource.cci.RecordFactory getRecordFactory()
                                                      throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

### getWarnings

    public javax.resource.cci.ResourceWarning getWarnings()
                                                   throws javax.resource.ResourceException

  Specified by:
    `getWarnings` in interface `javax.resource.cci.Interaction`
  Returns:
    an object that encapsulates 1 or more warnings about the execution of a EIS function
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD